ページビュー
GET https://analyticse.com/api/pageviews-advanced/
curl --request GET \
--url 'https://analyticse.com/api/pageviews-advanced/?website_id=1' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/pageviews-advanced/?website_id=1' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| website_id | 必須 整数 | |
| type | オプション 文字列 | 許可された値: landing_page, pageview |
| session_id | オプション 整数 | |
| visitor_id | オプション 整数 | |
| has_bounced | オプション 整数 | 許可された値: 0, 1 |
| search | オプション 文字列 | 検索文字列。 |
| search_by | オプション 文字列 | 検索するフィールドは何ですか。許可されている値は:path, title, referrer_host, referrer_path, utm_source, utm_medium, utm_campaign。 |
| datetime_field | オプション 文字列 | 許可された値: date |
| datetime_start | オプション 文字列 | 開始日時 |
| datetime_end | オプション 文字列 | 終了日時 |
| order_by | オプション 文字列 | 結果をどのフィールドで並べ替えるか。許可されている値は:event_id, session_id, visitor_id, path, title, has_bounced, expiration_date, date。 |
| order_type | オプション 文字列 | 結果の並び順。許可されている値は、昇順のためのASCと、降順のためのDESCです。 |
| page | オプション 整数 | 結果を取得したいページ番号。デフォルトは1です。 |
| results_per_page | オプション 整数 | 1ページあたりの結果数はどのくらいにしますか。許可されている値は:10, 25, 50, 100, 250, 500, 1000。デフォルトは25です。 |
{
"data": [
{
"id": 1,
"event_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"session_id": 1,
"visitor_id": 1,
"website_id": 1,
"type": "pageview",
"path": "/dashboard",
"title": "Dashboard",
"referrer_host": null,
"referrer_path": null,
"utm_source": null,
"utm_medium": null,
"utm_campaign": null,
"viewport_width": 1920,
"viewport_height": 1080,
"has_bounced": false,
"expiration_date": "2027-09-12",
"datetime": "2026-09-12 00:46:39"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://analyticse.com/api/pageviews-advanced?website_id=1&page=1",
"last": "https://analyticse.com/api/pageviews-advanced?website_id=1&page=1",
"next": null,
"prev": null,
"self": "https://analyticse.com/api/pageviews-advanced?website_id=1&page=1"
}
}
GET https://analyticse.com/api/pageviews-advanced/{event_id}
curl --request GET \
--url 'https://analyticse.com/api/pageviews-advanced/{event_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/pageviews-advanced/{event_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"event_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"session_id": 1,
"visitor_id": 1,
"website_id": 1,
"type": "pageview",
"path": "/dashboard",
"title": "Dashboard",
"referrer_host": null,
"referrer_path": null,
"utm_source": null,
"utm_medium": null,
"utm_campaign": null,
"viewport_width": 1920,
"viewport_height": 1080,
"has_bounced": false,
"expiration_date": "2027-09-12",
"datetime": "2026-09-12 00:46:39"
}
}
DELETE https://analyticse.com/api/pageviews-advanced/{event_id}
curl --request DELETE \
--url 'https://analyticse.com/api/pageviews-advanced/{event_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/pageviews-advanced/{event_id}' \
--header 'Authorization: Bearer {api_key}' \